/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

/**
 * Clase que guarda las reuniones del proyecto
 */
public class Reunion {
    /**
     * Nombre
     */
    private String Nombre;
    /**
     * Lugar
     */
    private String Lugar;
    /**
     * Fecha
     */
    private String Fecha;
    /**
     * Hora
     */
    private String Hora;
    /**
     * Participantes que van a la reunion
     */
    private String participantes_asistentes;
    /**
     * Resultados
     */
    private String Resultados;
    /**
     * Este parámetro estático, lleva la cuenta del número de reuniones
     * que se han creado, para poder reconocerlos unívocamente.
     */
    static int n_instancia=0;
    /**
     * identificador único de la reunión
     */
    private int numero_id;
    
    /**
     * Constructor de reunion que guarda e inicializa el identificador
     */
    public Reunion () {
        n_instancia++;
        numero_id=n_instancia;
    }
    /**
     * @return the Nombre
     */
    public String getNombre() {
        return Nombre;
    }

    /**
     * @param Nombre the Nombre to set
     */
    public void setNombre(String Nombre) {
        this.Nombre = Nombre;
    }

    /**
     * @return the Lugar
     */
    public String getLugar() {
        return Lugar;
    }

    /**
     * @param Lugar the Lugar to set
     */
    public void setLugar(String Lugar) {
        this.Lugar = Lugar;
    }

    /**
     * @return the Fecha
     */
    public String getFecha() {
        return Fecha;
    }

    /**
     * @param Fecha the Fecha to set
     */
    public void setFecha(String Fecha) {
        this.Fecha = Fecha;
    }

    /**
     * @return the Hora
     */
    public String getHora() {
        return Hora;
    }

    /**
     * @param Hora the Hora to set
     */
    public void setHora(String Hora) {
        this.Hora = Hora;
    }

    /**
     * @return the Partcipantes_asistentes
     */

    /**
     * @return the Resultados
     */
    public String getResultados() {
        return Resultados;
    }

    /**
     * @param Resultados the Resultados to set
     */
    public void setResultados(String Resultados) {
        this.Resultados = Resultados;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }

    /**
     * @return the participantes_asistentes
     */
    public String getParticipantes_asistentes() {
        return participantes_asistentes;
    }

    /**
     * @param participantes_asistentes the participantes_asistentes to set
     */
    public void setParticipantes_asistentes(String participantes_asistentes) {
        this.participantes_asistentes = participantes_asistentes;
    }
}
